#!/bin/bash

# find where we are
APP_PATH=$(git rev-parse --show-toplevel)
cd $APP_PATH

# set the environment file
ENV_FILE=/data/nolabs/config/.env

# source environment settings
set -a
source $ENV_FILE
set +a

# start mysql
docker run --rm --name $MYSQL_CONTAINER_NAME -d --net host \
    -v /data/mysql/datadir:/var/lib/mysql --env-file $ENV_FILE \
    mysql/mysql-server:5.7.27
